> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-6/v6-7-1.md).

# Version 6.7.1 Changelog (November 14, 2016)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 6.7.1.52181

Release Date: November 14, 2016

### Notes

6.7.1 is a major release.

### BREAKING CHANGES

* All PDFNet package names starting with `pdftron` are changed to `com.pdftron`, also, all package names are now changed to lower case. These API changes were marked as deprecated in the previous official release and are now removed.

### HIGHLIGHTS

* **Full Version Only:** Universal document conversion now supports pptx (list of supported types: docx, pptx, jpeg, jpg, gif, png and cbz)
* Undo/redo support
* PDF JavaScript support for form calculations

#### PDFViewCtrl

* **Full Version Only:** Open and view pptx document while it is being converted to PDF
* Take snapshot for changes happened in PDFViewCtrl and undo/redo changes
* View documents in maintain zoom mode

#### Tools

* PDFViewCtrlTools library now ship with two third party library dependencies: [FloatingActionButton](https://github.com/Clans/FloatingActionButton/) and [PageCropper](https://github.com/edmodo/cropper/)
* Text selection with smart snapping
* Edit custom option in combo box
* Automatically scrolls to the next form field when filling forms
* Option to stop showing the popup menu when highlighting/underlining/etc
* Option to copy annotated text to note for text markups
* Improved annotation jumping
* Improved ink toolbar
* Improved Reflow mode in terms of handling internal links, custom color mode, and turning page on tap option
* Toggle between inline editing and using a dialog for creating freetext annotations
* `UserCropDialogFragment` utility class now supports page cropping only on even/odd pages
* `ThumbnailsViewFragment` utility class now supports duplicate/rotate and export pages
* A new `PasswordDialogFragment` that allows users enter password for encrypted documents
* `Print` utility class now support cancel print during processing, see `Print.PrintCallback`

#### Complete Reader

* New SD Card file manager tab
* Recursive search in folder browsers
* Share multiple files at once from any file manager tab

### CHANGED APIs

* `PDFNet.enableJavaScript(boolean)`
* `(boolean) PDFNet.isJavaScriptEnabled()`
* `PDFViewCtrl.refreshAndUpdate(ViewChangeCollection)`
* `(boolean) PDFViewCtrl.selectByRect(double, double, double, double)`
* `(boolean) PDFViewCtrl.selectByStructWithSmartSnapping(double, double, double, double)`
* `PDFViewCtrl.setDevicePixelDensity(double, double)`
* `(Rect) PDFViewCtrl.getScreenRectForAnnot(Annot, int)`
* `PDFViewCtrl.getPageRectForAnnot(Annot, int)`
* `(Rect) PDFViewCtrl.getPostProcessedColor(ColorPt)`
* `(boolean) PDFViewCtrl.turnPageInNonContinuousMode(int, boolean)`
* `PDFViewCtrl.executeAction(ActionParameter)`
* `(boolean) PDFViewCtrl.isUndoRedoEnabled()`
* `PDFViewCtrl.enableUndoRedo()`
* `(String) PDFViewCtrl.undo()`
* `(String) PDFViewCtrl.redo()`
* `PDFViewCtrl.takeUndoSnapshot(String)`
* `(String) PDFViewCtrl.getNextUndoInfo()`
* `(String) PDFViewCtrl.getNextRedoInfo()`
* `PDFViewCtrl.revertAllChanges()`
* `Print.startPrintJob(Context, String, PDFDoc, Integer, Boolean)`
* `Print.startPrintJob(Context, String, PDFDoc, String, Integer, Boolean)`

### BUG FIXES

* Many UI improvements
* Miscellaneous bug fixes and improvements


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/android/changelogs/version-6/v6-7-1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
